Last Comment Bug 764916 - CreateXPConnectException not called for NS_ERROR_MODULE_XPCONNECT nsresults
: CreateXPConnectException not called for NS_ERROR_MODULE_XPCONNECT nsresults
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
Depends on:
Blocks: 743888
  Show dependency treegraph
 
Reported: 2012-06-14 10:56 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-06-20 02:19 PDT (History)
3 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (106 bytes, text/html)
2012-06-15 06:14 PDT, Masatoshi Kimura [:emk]
no flags Details
Replace nsDOMClassInfo::ThrowJSException with xpc::Throw (20.95 KB, patch)
2012-06-15 14:30 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Splinter Review
Replace nsDOMClassInfo::ThrowJSException with xpc::Throw (22.99 KB, patch)
2012-06-16 03:03 PDT, Masatoshi Kimura [:emk]
mrbkap: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2012-06-14 10:56:35 PDT
Regressed in <https://hg.mozilla.org/mozilla-central/rev/42056a433aee>
Comment 1 Masatoshi Kimura [:emk] 2012-06-14 15:55:11 PDT
Bug 321831 didn't regress. How can I test this regression?
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 00:01:02 PDT
No idea, I just saw the warning in the default case being hit.
Comment 3 Masatoshi Kimura [:emk] 2012-06-15 06:14:24 PDT
Created attachment 633492 [details]
testcase

document.all() throws a string "An error occurred throwing an exception" even before bug 743888.
Comment 4 Masatoshi Kimura [:emk] 2012-06-15 14:30:27 PDT
Created attachment 633679 [details] [diff] [review]
Replace nsDOMClassInfo::ThrowJSException with xpc::Throw
Comment 5 Masatoshi Kimura [:emk] 2012-06-16 03:03:17 PDT
Created attachment 633786 [details] [diff] [review]
Replace nsDOMClassInfo::ThrowJSException with xpc::Throw

Removed unnecessary headers and fixed a typo.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-06-19 16:05:20 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/18e23f97933c
Comment 7 Ed Morley [:emorley] 2012-06-20 02:19:19 PDT
https://hg.mozilla.org/mozilla-central/rev/18e23f97933c

Note You need to log in before you can comment on or make changes to this bug.